# Enum DatabricksJdbcConstants.FakeServiceType

java.lang.Object
java.lang.Enum<DatabricksJdbcConstants.FakeServiceType>
com.databricks.jdbc.common.DatabricksJdbcConstants.FakeServiceType

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabricksJdbcConstants.FakeServiceType>`, `java.lang.constant.Constable`

Enclosing class:
  `DatabricksJdbcConstants`

public static enum DatabricksJdbcConstants.FakeServiceType extends Enum<DatabricksJdbcConstants.FakeServiceType>
Enum for the services that can be replaced with a fake service in integration tests.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOUD_FETCH`
`CLOUD_FETCH_SQL_GATEWAY`
`CLOUD_FETCH_THRIFT_SERVER`
`CLOUD_FETCH_UC_VOLUME`
`JWT_TOKEN_ENDPOINT`
`SQL_EXEC`
`SQL_GATEWAY`
`THRIFT_SERVER`

## Method Summary

Modifier and Type
Method
Description
`static DatabricksJdbcConstants.FakeServiceType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatabricksJdbcConstants.FakeServiceType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SQL_EXEC

public static final DatabricksJdbcConstants.FakeServiceType SQL_EXEC

### CLOUD_FETCH

public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH

### SQL_GATEWAY

public static final DatabricksJdbcConstants.FakeServiceType SQL_GATEWAY

### THRIFT_SERVER

public static final DatabricksJdbcConstants.FakeServiceType THRIFT_SERVER

### CLOUD_FETCH_SQL_GATEWAY

public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH_SQL_GATEWAY

### CLOUD_FETCH_THRIFT_SERVER

public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH_THRIFT_SERVER

### CLOUD_FETCH_UC_VOLUME

public static final DatabricksJdbcConstants.FakeServiceType CLOUD_FETCH_UC_VOLUME

### JWT_TOKEN_ENDPOINT

public static final DatabricksJdbcConstants.FakeServiceType JWT_TOKEN_ENDPOINT

## Method Details

### values

public static DatabricksJdbcConstants.FakeServiceType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DatabricksJdbcConstants.FakeServiceType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null